## cascading
Class ComparePlatformsTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              cascading.CascadingTestCase
                  cascading.ComparePlatformsTest

All Implemented Interfaces:
  Serializable, junit.framework.Test

    public class ComparePlatformsTest

extends CascadingTestCase

See Also:
  Serialized Form

Nested Class Summary
`static class` `ComparePlatformsTest.CompareTestCase`

Field Summary
`static String` `NONDETERMINISTIC`

Constructor Summary
`ComparePlatformsTest()`

Method Summary
`static junit.framework.Test` `suite()`

Methods inherited from class cascading.CascadingTestCase

`asCollection, asCollection, asCollection, asCollection, asList, asList, asSet, asSet, getSinkAsList, getSourceAsList, invokeAggregator, invokeAggregator, invokeAggregator, invokeBuffer, invokeBuffer, invokeBuffer, invokeFilter, invokeFilter, invokeFilter, invokeFilter, invokeFunction, invokeFunction, invokeFunction, invokeFunction, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength`

Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONDETERMINISTIC

    public static final String NONDETERMINISTIC

See Also:
  Constant Field Values

Constructor Detail

### ComparePlatformsTest

    public ComparePlatformsTest()

Method Detail

### suite

    public static junit.framework.Test suite()
                                      throws Exception

  Throws:
    `Exception`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.